lappend auto_path [pwd]/lib
package require Judy

set iter 100
foreach size {10 100 1000 10000} {
    for {set i 0} {$i < $size} {incr i} {
	lappend randlist $i [expr $size * rand()]
    }

    puts "judy $size: [time {set judy [eval judy_create $randlist]} $iter]"
    puts "dict $size: [time {set dict [eval dict create $randlist]} $iter]"
    
    puts "judy get $size: [time {
	for {set i 0} {$i < $size} {incr i} {
    		judy_get $judy [expr int($size * rand())]
	}
    } $iter]"
    
    puts "dict get $size: [time {
	for {set i 0} {$i < $size} {incr i} {
    		dict get $dict [expr int($size * rand())]
	}
    } $iter]"
}
